Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Class GPSLogger

    java.lang.Object
      java.util.TimerTask
          org.ka2ddo.yaac.core.FileLogger<java.lang.String>
              org.ka2ddo.yaac.core.GPSLogger

All Implemented Interfaces:
  java.lang.Runnable, ShutdownHandler

    public class GPSLogger

extends FileLogger<java.lang.String>

This class batches up logging ASCII GPS message (NMEA-0183 format) to a text file.

Constructor Summary
`GPSLogger()`

Method Summary
`void` | `dumpRecordQueueToFile(java.io.File logFileFile, java.util.ArrayList<java.lang.String> recordQueue)` Subclasses should implement this method to open the specified sequential file for append, then write each of the records in the recordQueue in order to the file, then close the file.

Methods inherited from class org.ka2ddo.yaac.core.FileLogger
`flush, log, log, log, run, setDatePattern, setDefaultLogDir, setFilePrefix, setFileSuffix, setFlushInterval, setLogDirectory, shutdown`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GPSLogger

    public GPSLogger()

Method Detail

### dumpRecordQueueToFile

    public void dumpRecordQueueToFile(java.io.File logFileFile,
                                      java.util.ArrayList<java.lang.String> recordQueue)
                               throws java.io.IOException

  Description copied from class: `FileLogger`
  Subclasses should implement this method to open the specified sequential file for append, then write each of the records in the recordQueue in order to the file, then close the file.

  Specified by:
    `dumpRecordQueueToFile` in class `FileLogger<java.lang.String>`
  Parameters:
    `logFileFile` - File identifying the log file to open and write
    `recordQueue` - the ArrayList of ordered records to write
  Throws:
    `java.io.IOException` - if record saving fails for any reason

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD